# ldif.h File Reference

## Detailed Description

Routines for reading and writing LDAP LDIF data.

Definition in file ldif.h.

`#include "dll.h"`
`#include <string>`
`#include <map>`

Include dependency graph for ldif.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::ContactLdif
| Class for generating LDIF output based on a Barry::Contact record object. More...
struct | Barry::ContactLdif::NameToFunc
| Used to create a List of supported Barry field names, including calculated names, such as full postal address. More...
struct | Barry::ContactLdif::LdifAttribute
struct | Barry::ContactLdif::AccessPair